## usbrip 2.2.2%2Bgit20221003.5093c84

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.2.2+git%cd.%h" \
https://github.com/snovvcrash/usbrip/ HEAD

## usbrip 2.2.2+git20221003.5093c84

=== Makefile ===
# IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
# 1. Every alias is preceded by @[+]make (eg: @make alias)
# 2. A maximum of one @make alias or command per line
# see: https://github.com/tqdm/py-make/issues/1

.PHONY:
	alltests
	all
	flake8
	test
	testnose
	testsetup
	testcoverage
	testperf
	testtimer
	distclean
	coverclean
	prebuildclean
	clean
	toxclean
	installdev
	install
	build
	buildupload
	pypi
	snap
	docker
	help
	none
	run

help:
	@python setup.py make -p

alltests:
	@+make testcoverage
	@+make testperf
	@+make flake8
	@+make testsetup

all:
	@+make alltests
	@+make build

flake8:
	@+flake8 --max-line-length=80 --exclude .asv,.tox,.ipynb_checkpoints,build \
    --ignore=W503,W504 -j 8 --count --statistics --exit-zero .

test:
	tox --skip-missing-interpreters

testnose:
	nosetests tqdm -d -v

testsetup:
	@make README.rst
	@make tqdm/tqdm.1
	python setup.py check --restructuredtext --strict
	python setup.py make none

testcoverage:
	@make coverclean
	nosetests tqdm --with-coverage --cover-package=tqdm --cover-erase --cover-min-percentage=80 --ignore-files="tests_perf\.py" -d -v

testperf:
	# do not use coverage (which is extremely slow)
	nosetests tqdm/tests/tests_perf.py -d -v

testtimer:
	nosetests tqdm --with-timer -d -v

# another performance test, to check evolution across commits
testasv:
	# Test only the last 3 commits (quick test)
	asv run -j 8 HEAD~3..HEAD
	@make viewasv

testasvfull:
	# Test all the commits since the beginning (full test)
	asv run -j 8 v1.0.0..master
	@make testasv

viewasv:
	asv publish
	asv preview

tqdm/tqdm.1: .meta/.tqdm.1.md tqdm/_main.py tqdm/_tqdm.py
	# TODO: add to mkdocs.py
	python -m tqdm --help | tail -n+5 |\
    sed -r -e 's/\\/\\\\/g' \
      -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
      -e 's/  (-.*, )(--.*)  /\n\1\\\2\n: /' |\
    cat "$<" - |\
    pandoc -o "$@" -s -t man

README.rst: .meta/.readme.rst tqdm/_tqdm.py tqdm/_main.py
	@python .meta/mkdocs.py

snapcraft.yaml: .meta/.snapcraft.yml
	cat "$<" | sed -e 's/{version}/'"`python -m tqdm --version`"'/g' \
    -e 's/{commit}/'"`git describe --always`"'/g' \
    -e 's/{source}/./g' -e 's/{icon}/logo.png/g' \
    -e 's/{description}/https:\/\/tqdm.github.io/g' > "$@"

.dockerignore: .gitignore
	cat $^ > "$@"
	echo -e ".git" > "$@"
	git clean -xdn | sed -nr 's/^Would remove (.*)$$/\1/p' >> "$@"

distclean:
	@+make coverclean
	@+make prebuildclean
	@+make clean
prebuildclean:
	@+python -c "import shutil; shutil.rmtree('build', True)"
	@+python -c "import shutil; shutil.rmtree('dist', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
coverclean:
	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm/tests/__pycache__', True)"
clean:
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
toxclean:
	@+python -c "import shutil; shutil.rmtree('.tox', True)"


installdev:
	python setup.py develop --uninstall
	python setup.py develop
submodules:
	git clone git@github.com:tqdm/tqdm.wiki wiki
	git clone git@github.com:tqdm/tqdm.github.io docs
	git clone git@github.com:conda-forge/tqdm-feedstock feedstock
	cd feedstock && git remote add autotick-bot git@github.com:regro-cf-autotick-bot/tqdm-feedstock

install:
	python setup.py install

build:
	@make prebuildclean
	@make testsetup
	python setup.py sdist bdist_wheel
	# python setup.py bdist_wininst

pypi:
	twine upload dist/*

buildupload:
	@make build
	@make pypi

snap:
	@make snapcraft.yaml
	snapcraft
docker:
	@make .dockerignore
	@make coverclean
	@make clean
	docker build . -t tqdm/tqdm
	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
none:
	# used for unit testing

run:
	python -Om tqdm --help

=== requirements.txt ===
termcolor
terminaltables
tqdm

=== debian/changelog ===
usbrip (2.2.2+git20221003.5093c84-4) unstable; urgency=medium

  * Team upload.
  * d/p/*: Add 0002.python3-terminaltables3.patch (Closes: #1114549).
  * d/watch: Update it to version 5 format.
  * d/control: Drop now redundant 'Rules-Requires-Root: no'.
  * d/control: Bump Standards-Version to 4.7.3.

 -- Sven Geuer <sge@debian.org>  Wed, 07 Jan 2026 21:08:12 +0100

usbrip (2.2.2+git20221003.5093c84-3) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.2
     - Fixed typo in package description (Closes: ##1100463)
     - Updated for python3-terminaltables3 (closes:#1100459)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 12 Apr 2025 19:47:53 -0300

usbrip (2.2.2+git20221003.5093c84-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 30 Oct 2023 22:09:00 -0300

usbrip (2.2.2+git20221003.5093c84-1) unstable; urgency=medium

  * Initial release. (Closes: #1051379)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 06 Sep 2023 05:35:03 -0300

=== debian/control ===
Source: usbrip
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               python3-all,
               python3-setuptools,
               python3-termcolor,
               python3-terminaltables3,
               python3-tqdm,
               python3-wheel
Standards-Version: 4.7.3
Homepage: https://github.com/snovvcrash/usbrip/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/usbrip
Vcs-Git: https://salsa.debian.org/pkg-security-team/usbrip.git

Package: usbrip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: USB device artifacts tracker
 USB device forensic analysis tool for Linux systems. It is designed
 to assist in the investigation of activities related  to USB devices
 such as USB sticks and USB storage devices.usbrip runs from the command
 line, which allows its integration into automated scripts and workflows.
 .
 Some of the main functionalities and features of this package:
  - Metadata Extraction: usbrip allows the removal of metadata from
    connected USB devices, according to manufacturer identification, model
    and serial number.
 .
  - Connection History: The tool records and displays the connection history
    all previous USB device connections, which may be useful
    to track suspicious activity.
 .
  - Firmware Analysis: It can analyze the firmware of USB devices
    to check for unauthorized modifications or potential threats
    to the security.
 .
  - Data Visualization: usbrip provides clear visualizations of the data
    extracted, facilitating the analysis and interpretation of the information.
 .
  - Support Different Modes: The tool offers different modes of
    operation such as quick scan mode and deep scan mode,
    to meet different research needs.
 .
 Linux Compatibility: It is designed for Linux systems and supports
 various Linux distributions.

=== debian/watch ===
Version: 5
Source: https://github.com/snovvcrash/usbrip
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 2.2.2+git%cd.%h
